Loading...
Searching...
No Matches
pcl::io::PointCloudImageExtractorFromRGBField< PointT > Class Template Reference
Module io

Image Extractor which uses the data present in the "rgb" or "rgba" fields to produce a color image with rgb8 encoding. More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorFromRGBField< PointT >:

## Public Types

using | Ptr = shared_ptr<PointCloudImageExtractorFromRGBField<PointT> >
using | ConstPtr = shared_ptr<const PointCloudImageExtractorFromRGBField<PointT> >
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
using | PointCloud = pcl::PointCloud<PointT>
using | Ptr = shared_ptr<PointCloudImageExtractor<PointT> >
using | ConstPtr = shared_ptr<const PointCloudImageExtractor<PointT> >

## Public Member Functions

| PointCloudImageExtractorFromRGBField ()=default
| Constructor.
| ~PointCloudImageExtractorFromRGBField () override=default
| Destructor.
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()=default
| Constructor.
virtual | ~PointCloudImageExtractor ()=default
| Destructor.
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud.
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Protected Member Functions

bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &img) const override
| Implementation of the extract() function, has to be implemented in deriving classes.

## Additional Inherited Members

Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_ {false}
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Detailed Description

template<typename PointT>
class pcl::io::PointCloudImageExtractorFromRGBField< PointT >

Image Extractor which uses the data present in the "rgb" or "rgba" fields to produce a color image with rgb8 encoding.

Author
  Sergey Alexandrov

Definition at line 228 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::io::PointCloudImageExtractorFromRGBField< PointT >::ConstPtr = shared_ptr<const PointCloudImageExtractorFromRGBField<PointT> >

Definition at line 234 of file point_cloud_image_extractors.h.

## Ptr

template<typename PointT>

using pcl::io::PointCloudImageExtractorFromRGBField< PointT >::Ptr = shared_ptr<PointCloudImageExtractorFromRGBField<PointT> >

Definition at line 233 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

## PointCloudImageExtractorFromRGBField()

template<typename PointT>

pcl::io::PointCloudImageExtractorFromRGBField< PointT >::PointCloudImageExtractorFromRGBField | ( |  | ) |

default

Constructor.

## ~PointCloudImageExtractorFromRGBField()

template<typename PointT>

pcl::io::PointCloudImageExtractorFromRGBField< PointT >::~PointCloudImageExtractorFromRGBField | ( |  | ) |

override default

Destructor.

## Member Function Documentation

## extractImpl()

template<typename PointT>

bool pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl | ( | const PointCloud & | cloud,
|  | pcl::PCLImage & | image ) const

override protected virtual

Implementation of the extract() function, has to be implemented in deriving classes.

Implements pcl::io::PointCloudImageExtractor< PointT >.

Definition at line 108 of file point_cloud_image_extractors.hpp.

References pcl::PCLImage::data, pcl::PCLImage::encoding, pcl::getFieldIndex(), pcl::getFieldValue(), pcl::PCLImage::height, pcl::PCLImage::step, and pcl::PCLImage::width.

The documentation for this class was generated from the following files:

- pcl/io/point_cloud_image_extractors.h
- pcl/io/impl/point_cloud_image_extractors.hpp